## oar 2.5.2

=== Makefile ===
#/usr/bin/make
# $Id$
export SHELL=/bin/bash

# Modules that can be builded
MODULES = server user node monika draw-gantt doc desktop-computing-agent desktop-computing-cgi tools api scheduler-ocaml www-conf common common-libs database  


MODULES_LIST= $(patsubst %,% |, $(MODULES))|
OPTIONS_LIST= OARCONFDIR | OARUSER | OAROWNER | PREFIX | MANDIR | OARDIR | BINDIR | SBINDIR | DOCDIR 

# Define the makefile targets
TARGETS_SUFFIX = build clean install uninstall

TARGETS_BUILD     = $(MODULES:=-build)
TARGETS_CLEAN     = $(MODULES:=-clean)
TARGETS_INSTALL   = $(MODULES:=-install)
TARGETS_SETUP     = $(MODULES:=-setup)
TARGETS_UNINSTALL = $(MODULES:=-uninstall)
TARGETS = $(TARGETS_BUILD) $(TARGETS_CLEAN) $(TARGETS_INSTALL) $(TARGETS_UNINSTALL) $(TARGETS_SETUP)

all:       usage
build:     $(filter-out scheduler-ocaml% , $(TARGETS_BUILD))
install:   $(filter-out scheduler-ocaml% , $(TARGETS_INSTALL))
clean:     $(filter-out scheduler-ocaml% , $(TARGETS_CLEAN))
uninstall: $(filter-out scheduler-ocaml% , $(TARGETS_UNINSTALL))
setup:     $(filter-out scheduler-ocaml% , $(TARGETS_SETUP))

tarball: .git
	./misc/make_tarball

.git:
	@echo "Must be used from a git repository!"
	exit 1

usage:
	@echo "Usage: make [ OPTIONS=<...> ] [MODULES-]{install|build|clean|uninstall|setup}"
	@echo ""
	@echo "Where MODULES := { $(MODULES_LIST:||=) }"
	@echo ""
	@echo "      OPTIONS := { $(OPTIONS_LIST) }"

sanity-check:
	@[ "`id root`" = "`id`" ] || echo "Warning: root-privileges are required to install some files !"

sanity-setup-check: sanity-check
	@id $(OAROWNER) > /dev/null || ( echo "Error: User $(OAROWNER) does not exist!" ; exit -1 )


# Meta targets
$(TARGETS_BUILD):     MODULE = $(patsubst %-build,%,$@)
$(TARGETS_BUILD):     ACTION = build
$(TARGETS_INSTALL):   MODULE = $(patsubst %-install,%,$@) 
$(TARGETS_INSTALL):   ACTION = install
$(TARGETS_SETUP):     MODULE = $(patsubst %-setup,%,$@) 
$(TARGETS_SETUP):     ACTION = setup
$(TARGETS_UNINSTALL): MODULE = $(patsubst %-uninstall,%,$@) 
$(TARGETS_UNINSTALL): ACTION = uninstall 
$(TARGETS_CLEAN):     MODULE = $(patsubst %-clean,%,$@) 
$(TARGETS_CLEAN):     ACTION = clean 

$(TARGETS_INSTALL):  sanity-check
	$(MAKE) $(strip $(MODULE))-build
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk install

$(TARGETS_UNINSTALL):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk uninstall

$(TARGETS_CLEAN):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk clean

$(TARGETS_BUILD):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk build

$(TARGETS_SETUP):
	-$(MAKE) -s -f Makefiles/$(strip $(MODULE)).mk setup


# Dependencies
server-setup: common-setup common-libs-setup database-setup
server-install: sanity-check common-install common-libs-install database-install	
server-clean: common-clean common-libs-clean database-clean 
server-build: common-build common-libs-build database-build 
server-uninstall: common-uninstall common-libs-uninstall database-uninstall 

user-setup: common-setup common-libs-setup
user-install: sanity-check common-install common-libs-install
user-clean: common-clean common-libs-clean
user-build: common-build common-libs-build
user-uninstall: common-uninstall common-libs-uninstall

node-setup: common-setup
node-install: sanity-check common-install
node-clean: common-clean 
node-build: common-build 
node-uninstall: common-uninstall

draw-gantt-setup: www-conf-setup
draw-gantt-install: www-conf-install
draw-gantt-clean: www-conf-clean
draw-gantt-build: www-conf-build
draw-gantt-uninstall: www-conf-uninstall

monika-setup: www-conf-setup
monika-install: www-conf-install
monika-clean: www-conf-clean
monika-build: www-conf-build
monika-uninstall: www-conf-uninstall

desktop-computing-cgi-setup: common-setup common-libs-setup
desktop-computing-cgi-install: sanity-check common-install common-libs-install
desktop-computing-cgi-clean: common-clean common-libs-clean
desktop-computing-cgi-build: common-build common-libs-build
desktop-computing-cgi-uninstall: common-uninstall common-libs-uninstall

tools-setup: common-setup common-libs-setup
tools-install: sanity-check common-install common-libs-install
tools-clean: common-clean common-libs-clean
tools-build: common-build common-libs-build
tools-uninstall: common-uninstall common-libs-uninstall

api-setup: common-setup common-libs-setup
api-install: sanity-check common-install common-libs-install
api-build: common-build common-libs-build
api-clean: common-clean common-libs-clean
api-uninstall: common-uninstall common-libs-uninstall


P_ACTIONS = build install clean
P_TARGETS = $(patsubst %,packages-%,$(P_ACTIONS))

packages-build:    P_ACTION = build
packages-install:  P_ACTION = install
packages-clean:    P_ACTION = clean 

$(P_TARGETS):
	# oar-doc
	$(MAKE) -f Makefiles/doc.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-doc
	
	# oar-common
	mkdir -p $(PACKAGES_DIR)/oar-common/var/lib/oar	
	$(MAKE) -f Makefiles/common.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-common
	
	
	# liboar-perl
	mkdir -p $(PACKAGES_DIR)/liboar-perl/var/lib/oar	
	$(MAKE) -f Makefiles/common-libs.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/liboar-perl
	
	# oar-server
	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-server
	
	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-server \
		DOCDIR=/usr/share/doc/oar-server
	
	# oar-node
	mkdir -p $(PACKAGES_DIR)/oar-node/var/lib/oar
	mkdir -p $(PACKAGES_DIR)/oar-node/etc/init.d
	$(MAKE) -f Makefiles/node.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-node
	
	# oar-user
	mkdir -p $(PACKAGES_DIR)/oar-user/var/lib/oar
	$(MAKE) -f Makefiles/user.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-user 
	
	# oar-web-status
	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/draw-gantt.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/www-conf.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	
	# oar-admin
	$(MAKE) -f Makefiles/tools.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-admin \
		DOCDIR=/usr/share/doc/oar-admin
	
	# oar-desktop-computing-agent
	$(MAKE) -f Makefiles/desktop-computing-agent.mk $(P_ACTION) \
		DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-agent
	
	# oar-desktop-computing-cgi
	$(MAKE) -f Makefiles/desktop-computing-cgi.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-cgi
	
	# oar-restful-api
	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
	    DOCDIR=/usr/share/doc/oar-restful-api \
	    DESTDIR=$(PACKAGES_DIR)/oar-restful-api 
	
	# keyring
	$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-keyring 
	
	# scheduler-ocaml-mysql
	#$(MAKE) -f Makefiles/scheduler-ocaml.mk $(P_ACTION) \
	#    DESTDIR=$(PACKAGES_DIR)/oar-scheduler-ocaml-mysql

=== docs/documentation/Makefile ===
#!/usr/bin/make
#Under Debian or Ubuntu you must install the package "python-docutils tetex-latex-recommended texlive-fonts-recommended make"

RST2LATEX := $(shell if which "rst2newlatex" > /dev/null 2>/dev/null; then echo "rst2newlatex"; else echo "rst2latex"; fi)
RST2HTML := rst2html
PDFLATEX := pdflatex

all: doc-admin doc-user doc-usecases doc-api doc-devel
	
doc-admin: OAR-DOCUMENTATION-ADMIN.html
	
doc-user: OAR-DOCUMENTATION-USER.html

doc-devel: oar-documentation-devel.html

doc-usecases: doc_usecases.html

doc-api: OAR-DOCUMENTATION-API-USER.html OAR-DOCUMENTATION-API-ADMIN.html OAR-DOCUMENTATION-API-DEVEL.html

latex: OAR-DOCUMENTATION-ADMIN.tex OAR-DOCUMENTATION-USER.tex OAR-DOCUMENTATION-API-USER.tex OAR-DOCUMENTATION-API-ADMIN.tex OAR-DOCUMENTATION-API-DEVEL.tex oar-documentation-devel.tex

pdf-api: OAR-DOCUMENTATION-API-USER.pdf OAR-DOCUMENTATION-API-ADMIN.pdf OAR-DOCUMENTATION-API-DEVEL.pdf oar-documentation-devel.pdf

pdf: OAR-DOCUMENTATION-ADMIN.pdf OAR-DOCUMENTATION-USER.pdf pdf-api

%.html: %.rst
	$(RST2HTML) -stg $< $@


%.tex: %.rst
	$(RST2LATEX) --no-section-numbering $< $@

%.pdf: %.tex
	$(PDFLATEX) $< $@
	$(PDFLATEX) $< $@

clean:
	for i in OAR-DOCUMENTATION-ADMIN OAR-DOCUMENTATION-USER OAR-DOCUMENTATION-API-USER OAR-DOCUMENTATION-API-ADMIN OAR-DOCUMENTATION-API-DEVEL doc_usecases oar-documentation-devel; do rm -f $$i.pdf $$i.html $$i.tex $$i.aux $$i.log $$i.out $$i.toc; done

=== misc/lustre_g5kutils/Makefile ===
#!/usr/bin/make
SHELL=/bin/bash

DESTDIR=
PREFIX=usr/local
MANDIR=$(PREFIX)/man
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin

install:
	mkdir -p $(DESTDIR)/$(SBINDIR)
	install -m 755 lustre_mds_init.bash $(DESTDIR)/$(SBINDIR)/lustre_mds_init
	install -m 755 lustre_oss_init.bash $(DESTDIR)/$(SBINDIR)/lustre_oss_init
	install -m 755 lustre_client_init.bash $(DESTDIR)/$(SBINDIR)/lustre_client_init

uninstall:
	-rm -f $(DESTDIR)/$(SBINDIR)/lustre_mds_init \
	$(DESTDIR)/$(SBINDIR)/lustre_oss_init \
	$(DESTDIR)/$(SBINDIR)/lustre_client_init

deb:
	debuild -rfakeroot -us -uc

clean: 
	-rm -f build-arch-stamp build-indep-stamp configure-stamp debian/files debian/lustre-g5kutils.debhelper.log debian/lustre-g5kutils.substvars
	rm -rf debian/lustre-g5kutils

update-repo:
	scp ../lustre-g5kutils*.deb intra-id.id:/www-id/sites/oar/www/debian/lustre/dists/unstable/main/binary-amd64
	ssh intra-id.id "cd /www-id/sites/oar/www/debian/lustre && ./update.sh"

=== tests/rspec/Makefile ===
SPEC_OPTS=--colour --format nested

all: format_checking job_submit resources_creation
usage:
	@echo "usage: make < format_checking | job_submit | resources_creation >"
format_checking:
	rspec format_checking_spec.rb ${SPEC_OPTS}
job_submit:
	rspec job_submit_spec.rb ${SPEC_OPTS}
resources_creation:
	rspec resources_creation_spec.rb ${SPEC_OPTS}

=== sources/extra/ocaml-schedulers/simple_cbf_mb_h_ct_oar/Makefile ===
#
# By default simple_cbf_mb_h_ct_oar_mysql is built 
# to obtain  simple_cbf_mb_h_ct_oar_postgresql use:
# > make POSTGRESQL=true
#
OCAMLMAKEFILE := ../common/OCamlMakefile

# make POSTGRESQL=true 
ifdef POSTGRESQL
  PPFLAGS := -DPOSTGRESQL
  THREADS := true
  PACKS   := postgresql
  LIBS := str
  SOURCES := ../common/interval.ml ../common/helpers.ml ../common/conf.ml\
             types.ml postgresql_driver.ml iolib.ml \
             ../common/hierarchy.ml simple_cbf_mb_h_ct.ml simple_cbf_mb_h_ct_oar.ml
  RESULT  := simple_cbf_mb_h_ct_oar_postgresql
else
  PACKS   := mysql oUnit
  LIBS    := str
  SOURCES := ../common/interval.ml ../common/helpers.ml ../common/conf.ml\
             types.ml mysql_driver.ml iolib.ml \
             ../common/hierarchy.ml simple_cbf_mb_h_ct.ml simple_cbf_mb_h_ct_oar.ml
  RESULT  := simple_cbf_mb_h_ct_oar_mysql
endif

define PROJ_test_unit
  PACKS = oUnit
  LIBS = str 
  SOURCES = ../common/interval.ml ../common/helpers.ml ../common/conf.ml types.ml\
            ../common/hierarchy.ml simple_cbf_mb_h_ct.ml\
            test_unit.ml
  RESULT = test_unit
endef
export PROJ_test_unit

ifndef SUBPROJS
#  export SUBPROJS = simple_cbf_mb_h_ct test_unit 
#  export SUBPROJS = test_unit
endif

# Default target to use
all: nc

include $(OCAMLMAKEFILE)

# Catch-all target will be applied to all subprojects automatically
%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

=== sources/extra/orpheus/modules/lua-signal/Makefile ===
SIGNAL_DESTINATION ?= /usr/local/lib/lua/5.1/
DESTINATION = $(SIGNAL_DESTINATION)

LIBRARY = signal.so
OBJECTS = $(LIBRARY)

INSTALL = install -c -v
CC = gcc
CFLAGS = -Wall -fPIC -O2

all: signal.so

install: $(LIBRARY)
	$(INSTALL) -m 755 $(LIBRARY) $(DESTINATION)

clean:
	-rm $(OBJECTS)

signal.so: lsignal.c
	$(CC) $(CFLAGS) -shared -o $@ $^

=== debian/changelog ===
oar (2.5.2-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Replace transitional ruby packages with real ones.
    (Closes: #735745)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 00:36:35 +0100

oar (2.5.2-4) unstable; urgency=low

  [ Pierre Neyron ]
  * Set Pierre Neyron as Maintainer
  * Add Philippe Le Brouster as Uploader
  * Fix piupart reported error: package uses files from /usr/share/doc
    (Closes: #722621)
  * Fix database schema version: 2.5.2
  * Fix dependencies to the database backend packages
  * Fix packages post scripts: purge /etc/oar, /var/lib/oar
  * Fix oardo.c compilation warning
  * Fix prologues and epilogues configuration files permissions

  [ Vincent Danjean ]
  * Bump Standard-Version (no change needed)
  * Add header to new quilt patches

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 20 Sep 2013 14:17:34 +0200

oar (2.5.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch to add encoding to POD
    (Closes: #720431)

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 17:42:06 +0200

oar (2.5.2-3) unstable; urgency=low

  * Remove the desktop-computing packaging because it is no more supported
    (Closes: #676220).
  * Remove the conffiles  when purging the binary packages (Closes: #674657).
  * Override dh_compress to prevent debhelper to compress examples.
  * Use ucfr to register conffile.
  * Remove the ssh keys when purgin oar-node 

 -- Philippe Le Brouster <plb@nebkha.net>  Tue, 26 Jun 2012 12:23:42 +0200

oar (2.5.2-2) unstable; urgency=low

  * Rebuild for the debian archive. (Closes: #663558)

 -- Philippe Le Brouster <plb@nebkha.net>  Thu, 24 May 2012 12:47:49 +0200

oar (2.5.2-1) unstable; urgency=low

  * Imported Upstream version 2.5.2.
  * Remove the patch 0001-Fix-a-spelling-error-in-the-oaradmin-manpage (no
    more needed).
  * Update the debian copyright file.
  * Switch to debhelper 9.
  * Update properly CFLAGS
  * Override lintian warning: hardening-no-stackprotector
  * Add Vincent Danjean as Uploaders.

 -- Philippe Le Brouster <plb@nebkha.net>  Wed, 23 May 2012 17:00:53 +0200

oar (2.5.1-4) unstable; urgency=low

  * Add lintian overrides for empty binary packages.
  * Add lintian overrides for the install file.
  * Improve the short descriptions. 
  * Fix a spelling error in oaradmin manpage.

 -- Philippe Le Brouster <plb@nebkha.net>  Fri, 06 Apr 2012 13:40:16 +0200

oar (2.5.1-3) unstable; urgency=low

  * Fix the debian watch file.
  * oar-server-mysql: Remove phpmyadmin as suggestion.
  * Fix the dependencies on libdbi-perl. 
  * Fix the binaries conflict between oar-user-{mysql,pgsql}. 
  * Improve the short descriptions.

 -- Philippe Le Brouster <plb@nebkha.net>  Mon, 02 Apr 2012 13:25:10 +0200

oar (2.5.1-2) unstable; urgency=low

  * First upload to the debian archive (Closes: #663558)  
  * Bump the standards version.
  * Change the oar-api package description.

 -- Philippe Le Brouster <plb@nebkha.net>  Mon, 12 Mar 2012 13:02:11 +0100

oar (2.5.1-1) UNRELEASED; urgency=low

  * New upstream release. 

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Fri, 13 Jan 2012 18:15:09 +0100

oar (2.5.0+rc2-1) UNRELEASED; urgency=low

  * New upstream release. 
  * Remove the symlink creation for the apache2 configuration. (already done
    by the setup scripts).

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Mon, 19 Dec 2011 22:59:22 +0100

oar (2.5.0+rc1-1) UNRELEASED; urgency=low

  * Initial Release.

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Thu, 08 Dec 2011 11:06:45 +0100

=== debian/control ===
Source: oar
Section: science
Priority: extra
Maintainer: Pierre Neyron <pierre.neyron@free.fr>
Uploaders: Philippe Le Brouster <plb@nebkha.net>,
  Vincent Danjean <vdanjean@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~), po-debconf, python-docutils, perl
Standards-Version: 3.9.4
Vcs-Git: git://scm.gforge.inria.fr/oar/oar.git/
Homepage: http://oar.imag.fr/

Package: liboar-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, libdbi-perl
Suggests: oar-server, oar-user, oar-node, oar-doc
Description: OAR batch scheduler common library package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common libraries of the OAR batch scheduler

Package: oar-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, adduser, ucf
Suggests: oar-server, oar-user, oar-node, oar-doc
Description: OAR batch scheduler common package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common part of the OAR batch scheduler

Package: oar-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, openssh-client | ssh, cron, lsb-base, libsort-versions-perl, libdbi-perl,  oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version})
Recommends: libxml-dumper-perl, libyaml-perl
Suggests: taktuk , phpmyadmin, oar-node, oar-doc, openssh-server | ssh
Description: OAR batch scheduler server package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the server part of the OAR batch scheduler

Package: oar-server-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl
Recommends: mysql-client
Suggests: mysql-server
Description: OAR batch scheduler MySQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the server part of the
 OAR batch scheduler.

Package: oar-server-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Recommends: postgresql-client
Suggests: postgresql
Description: OAR batch scheduler PostgreSQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependencies for the server part of
 the OAR batch scheduler.

Package: oar-node
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client | ssh, openssh-server | ssh, oar-common (= ${binary:Version})
Suggests: oar-doc, xauth
Description: OAR batch scheduler node package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the execution node part of the OAR batch scheduler

Package: oar-user
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-user-mysql | oar-user-postgresql
Recommends: libxml-dumper-perl, libyaml-perl
Suggests: oar-doc, openssh-client | ssh, xauth
Description: OAR batch scheduler user package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the submission and query part of the OAR batch scheduler.

Package: oar-user-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl
Description: OAR batch scheduler MySQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the user part of the
 OAR batch scheduler.

Package: oar-user-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Description: OAR batch scheduler PostgreSQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependences for the user part of
 the OAR batch scheduler.

Package: oar-web-status
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2 | httpd-cgi, ruby, ruby-dbd-mysql | ruby-dbd-pg, ruby-gd, perl, libdbi-perl, libdbd-mysql-perl | libdbd-pg-perl, libtie-ixhash-perl, libappconfig-perl, libsort-naturally-perl, libjs-jquery
Suggests: oar-doc
Description: OAR batch scheduler visualization tool package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the OAR batch scheduler Gantt reservation diagram CGI: 
 DrawGantt and the instant cluster state visualization CGI: Monika

Package: oar-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: OAR batch scheduler documentation package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install some documentation for OAR batch scheduler

Package: oar-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, ruby, ruby-dbd-mysql | ruby-dbd-pg, libyaml-perl, oar-user (>> 2.5.0)
Suggests: oar-doc, oar-server
Description: OAR batch scheduler administration tools package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs some useful tools to help the administrator
 of a oar server (resources manipulation, admission rules edition, ...)

Package: oar-restful-api
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apache2 | httpd-cgi, perl-modules, libjson-perl, libwww-perl, libcgi-fast-perl, oar-user (>> 2.5.0)
Suggests: oar-doc, oar-server
Recommends: libxml-simple-perl, libyaml-perl
Replaces: oar-api (<< 2.5.0+dev515.519ec70-63)
Breaks: oar-api (<< 2.5.0+dev515.519ec70-63)
Description: OAR RESTful API
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs a RESTful API for oar users. 
 It works as a cgi into Apache.

Package: oar-api
Depends: oar-restful-api, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

INSTALLDIR=debian

export OARUSER=oar
export OARCONFDIR=/etc/oar
export PREFIX=/usr
export MANDIR=/usr/share/man
export OARDIR=/usr/lib/oar
export BINDIR=/usr/bin
export SBINDIR=/usr/sbin
export CGIDIR=/usr/lib/cgi-bin
export PERLLIBDIR=/usr/share/perl5
export VARLIBDIR=/var/lib
export SETUP_TYPE=deb
export TARGET_DIST=debian

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	

override_dh_auto_install:
	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	## oar-server
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/init.d/oar-server > debian/oar-server.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/default/oar-server > debian/oar-server.default
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
	
	## oar-node
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/init.d/oar-node > debian/oar-node.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/default/oar-node > debian/oar-node.default
	# disable the automatic installation of this cron, by default 
	#cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
		
	## oar-common
	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
	## oar-web-status
	# (poar) use libjs-jquery instead of the embedded one.
	# -- poar is not in the debian packaging (still an experimental feature)
	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js
		
	dh_install -i

override_dh_clean:
	dh_clean
	
	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
		
	# Cleaning package
	rm -f debian/oar-server.init
	rm -f debian/oar-node.init
	rm -f debian/oar-server.default
	rm -f debian/oar-node.default
	rm -f debian/oar-common.logrotate
	rm -f debian/oar-server.cron.d
	rm -f debian/oar-node.cron.d

override_dh_installinit:
	dh_installinit --no-start

override_dh_compress:
	# avoid to compress examples as we use ucf after.
	dh_compress -Xexamples

=== debian/watch ===
version=3
http://oar-ftp.imag.fr/oar/2.5/sources/stable oar-(.+)\.tar\.gz

## oar 2.5.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export SHELL=/bin/bash
 
 # Modules that can be builded
-MODULES = server user node monika draw-gantt doc desktop-computing-agent desktop-computing-cgi tools api scheduler-ocaml www-conf common common-libs database  
+MODULES = server user node monika drawgantt drawgantt-svg doc tools api kamelot-mysql kamelot-postgresql www-conf common common-libs database  
 
 
 MODULES_LIST= $(patsubst %,% |, $(MODULES))|
@@ -20,11 +20,11 @@
 TARGETS = $(TARGETS_BUILD) $(TARGETS_CLEAN) $(TARGETS_INSTALL) $(TARGETS_UNINSTALL) $(TARGETS_SETUP)
 
 all:       usage
-build:     $(filter-out scheduler-ocaml% , $(TARGETS_BUILD))
-install:   $(filter-out scheduler-ocaml% , $(TARGETS_INSTALL))
-clean:     $(filter-out scheduler-ocaml% , $(TARGETS_CLEAN))
-uninstall: $(filter-out scheduler-ocaml% , $(TARGETS_UNINSTALL))
-setup:     $(filter-out scheduler-ocaml% , $(TARGETS_SETUP))
+build:     $(TARGETS_BUILD)
+install:   $(TARGETS_INSTALL)
+clean:     $(TARGETS_CLEAN)
+uninstall: $(TARGETS_UNINSTALL)
+setup:     $(TARGETS_SETUP)
 
 tarball: .git
 	./misc/make_tarball
@@ -95,23 +95,23 @@
 node-build: common-build 
 node-uninstall: common-uninstall
 
-draw-gantt-setup: www-conf-setup
-draw-gantt-install: www-conf-install
-draw-gantt-clean: www-conf-clean
-draw-gantt-build: www-conf-build
-draw-gantt-uninstall: www-conf-uninstall
+drawgantt-setup: www-conf-setup
+drawgantt-install: www-conf-install
+drawgantt-clean: www-conf-clean
+drawgantt-build: www-conf-build
+drawgantt-uninstall: www-conf-uninstall
+
+drawgantt-svg-setup: www-conf-setup
+drawgantt-svg-install: www-conf-install
+drawgantt-svg-clean: www-conf-clean
+drawgantt-svg-build: www-conf-build
+drawgantt-svg-uninstall: www-conf-uninstall
 
 monika-setup: www-conf-setup
 monika-install: www-conf-install
 monika-clean: www-conf-clean
 monika-build: www-conf-build
 monika-uninstall: www-conf-uninstall
-
-desktop-computing-cgi-setup: common-setup common-libs-setup
-desktop-computing-cgi-install: sanity-check common-install common-libs-install
-desktop-computing-cgi-clean: common-clean common-libs-clean
-desktop-computing-cgi-build: common-build common-libs-build
-desktop-computing-cgi-uninstall: common-uninstall common-libs-uninstall
 
 tools-setup: common-setup common-libs-setup
 tools-install: sanity-check common-install common-libs-install
@@ -152,10 +152,12 @@
 	# oar-server
 	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
 	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
+    SHAREDIR=/usr/share/oar/oar-server \
                 DESTDIR=$(PACKAGES_DIR)/oar-server
 	
 	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                 DESTDIR=$(PACKAGES_DIR)/oar-server \
+    SHAREDIR=/usr/share/oar/oar-server \
 		DOCDIR=/usr/share/doc/oar-server
 	
 	# oar-node
@@ -173,28 +175,18 @@
 	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
-	$(MAKE) -f Makefiles/draw-gantt.mk $(P_ACTION) \
+	$(MAKE) -f Makefiles/drawgantt-svg.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
 	$(MAKE) -f Makefiles/www-conf.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
-	
-	# oar-admin
-	$(MAKE) -f Makefiles/tools.mk $(P_ACTION) \
-                DESTDIR=$(PACKAGES_DIR)/oar-admin \
-		DOCDIR=/usr/share/doc/oar-admin
-	
-	# oar-desktop-computing-agent
-	$(MAKE) -f Makefiles/desktop-computing-agent.mk $(P_ACTION) \
-		DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-agent
-	
-	# oar-desktop-computing-cgi
-	$(MAKE) -f Makefiles/desktop-computing-cgi.mk $(P_ACTION) \
-	    DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-cgi
 	
 	# oar-restful-api
 	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
@@ -205,7 +197,3 @@
 	$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
 	    DESTDIR=$(PACKAGES_DIR)/oar-keyring 
 	
-	# scheduler-ocaml-mysql
-	#$(MAKE) -f Makefiles/scheduler-ocaml.mk $(P_ACTION) \
-	#    DESTDIR=$(PACKAGES_DIR)/oar-scheduler-ocaml-mysql 
-

=== sources/core/modules/scheduler/kamelot/Makefile ===
#
# By default kamelot_mysql is built 
# to obtain  kamelot_postgresql use:
# > make clean POSTGRESQL=true all
#
OCAMLMAKEFILE := ./common/OCamlMakefile

# ocamlfind packages required
#export PACKS = str extlib unix batteries
#export PACKS = str batteries

# make POSTGRESQL=true 
ifdef POSTGRESQL
  PPFLAGS := -DPOSTGRESQL
  THREADS := true
  PACKS   := postgresql
  LIBS := str
  SOURCES := ./common/helpers.ml ./common/conf.ml ./common/interval.ml \
             ./common/types.ml ./common/postgresql_driver.ml iolib.ml \
             ./common/hierarchy.ml scheduling.ml kamelot.ml
  RESULT  := kamelot_postgresql
else
  PACKS   := mysql oUnit
  LIBS    := str
  SOURCES := ./common/helpers.ml ./common/conf.ml ./common/interval.ml \
             ./common/types.ml ./common/mysql_driver.ml iolib.ml \
             ./common/hierarchy.ml scheduling.ml kamelot.ml
  RESULT  := kamelot_mysql
endif

define PROJ_kamelot_ts
ifdef POSTGRESQL
  PPFLAGS := -DPOSTGRESQL
  THREADS := true
  PACKS   := postgresql
  LIBS := str
  SOURCES := ./common/helpers.ml ./common/conf.ml ./common/interval.ml \
             ./common/types_ts.ml ./common/postgresql_driver.ml iolib_ts.ml \
             ./common/hierarchy.ml scheduling_ts.ml kamelot_ts.ml
  RESULT  := kamelot_ts_postgresql
else
  PACKS   := mysql oUnit
  LIBS    := str
  SOURCES := ./common/helpers.ml ./common/conf.ml ./common/interval.ml \
             ./common/types_ts.ml ./common/mysql_driver.ml iolib_ts.ml \
             ./common/hierarchy.ml scheduling_ts.ml kamelot_ts.ml
  RESULT  := kamelot_ts_mysql
endif
endef
export PROJ_kamelot_ts

define PROJ_test_unit
  PACKS = oUnit
  LIBS = str 
  SOURCES = ./common/helpers.ml ./common/interval.ml ./common/conf.ml ./common/types.ml\
            ./common/hierarchy.ml scheduling.ml\
            ./test/test_unit.ml
  RESULT = test_unit
endef

export PROJ_test_unit

ifndef SUBPROJS
#  export SUBPROJS = kamelot test_unit 
#  export SUBPROJS = test_unit
  export SUBPROJS = kamelot kamelot_ts
endif

#rm_iolib_build:
#rm -f iolib.cmx 

# Default target to use
all: rm_iolib_build nc

include $(OCAMLMAKEFILE)

# Catch-all target will be applied to all subprojects automatically
%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

rm_iolib_build:
	rm -f iolib.cmx 
#

=== debian/changelog ===
oar (2.5.4-2+deb8u1) jessie-security; urgency=high

  [ Pierre Neyron ]
  * Add patch: fix a vulnerability in the oarsh command
    (CVE-2016-1235; Closes: #819952)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Apr 2016 10:49:52 +0200

oar (2.5.4-2) unstable; urgency=medium

  [ Pierre Neyron ]
  * Fix oar-node pid file location (Closes: #772564)
  * Fix errors with the TRUNCATE SQL request which is incompatible with MySQL
    and causes deadlocks with PostgreSQL (Closes: #773790)
  * Fix errors with advance reservation when moldable jobs are used
    (Closes: #775957)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 13 Feb 2015 11:03:53 +0100

oar (2.5.4-1) unstable; urgency=medium

  * New upstream release. No change from rc12

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 17:11:45 +0200

oar (2.5.4~rc12-1) unstable; urgency=medium

  * New upstream release 
  * Fix oaraccounting bug (Closes: #678976) 
  * Remove Ruby dependencies (Closes: #732540) 
  * Force depends to OpenSSH's ssh
  * Remove patch fix-oar-server-init.d: applied upstream 

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 24 Oct 2014 15:09:46 +0200

oar (2.5.4~rc8-2) unstable; urgency=medium

  * stop oar-server and oar-node on upgrade from an old version
    (their prerm script did not stop their service)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 16 Oct 2014 14:36:45 +0200

oar (2.5.4~rc8-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Drop tools with dependencies to Ruby (oaradmin, drawgantt legacy)
  * Bump Standard-Version (no change needed)
  * Remove unused patches (applied upstream)
  * Fix oar-server (oar-database) depends to libterm-ui-perl

  [ Vincent Danjean ]
  * Bump Standards-Version
  * (re)start service on upgrade/start
  * add a Breaks: to the old oar-admin package. The database schema has
    been modified so old utilities did not work anymore

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Oct 2014 10:31:17 +0200

oar (2.5.3-3) unstable; urgency=low

  * Fix oar-user dependency on oar-user-mysql or oar-user-postgresql
  * Fix prologues and epilogues configuration files permissions:
    add patch to set mod 0755
  * Fix oarsub copyright in pod (man), this corrects the "FTBFS with perl 5.18: POD failure" reported by Debian
    (Closes: #720431)
  * Fix the database structure version: must be 2.5.2

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 09 Sep 2013 00:03:38 +0200

oar (2.5.3-2) unstable; urgency=low

  * Fix clean-up of oar-server and oar-web-status after remove/purge

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 02 Jul 2013 11:07:39 +0200

oar (2.5.3-1) unstable; urgency=low

  [ Philippe Le Brouster ]
  * Remove the patches merged in upstream. 

  [ Pierre Neyron ]
  * Imported Upstream version 2.5.3
  * Add drawgantt-svg to oar-web-status package
  * Set Pierre Neyron as Maintainer
  * Add Philippe Le Brouster as Uploader

 -- Pierre Neyron <pierre.neyron@free.fr>  Wed, 26 Jun 2013 18:15:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Pierre Neyron <pierre.neyron@free.fr>
 Uploaders: Philippe Le Brouster <plb@nebkha.net>,
   Vincent Danjean <vdanjean@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9~), po-debconf, python-docutils, perl
-Standards-Version: 3.9.4
-Vcs-Git: git://scm.gforge.inria.fr/oar/oar.git/
+Standards-Version: 3.9.6
+Vcs-Git: git://scm.gforge.inria.fr/oar/oar.git/ -b debian.org
 Homepage: http://oar.imag.fr/
 
 Package: liboar-perl
@@ -33,9 +32,10 @@
 
 Package: oar-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, openssh-client | ssh, cron, lsb-base, libsort-versions-perl, libdbi-perl,  oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, openssh-client, cron, lsb-base, libsort-versions-perl, libdbi-perl,  oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}), perl (<< 5.17) | libterm-ui-perl
 Recommends: libxml-dumper-perl, libyaml-perl
-Suggests: taktuk , phpmyadmin, oar-node, oar-doc, openssh-server | ssh
+Suggests: taktuk , phpmyadmin, oar-node, oar-doc, openssh-server
+Breaks: oar-admin
 Description: OAR batch scheduler server package
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
@@ -68,7 +68,7 @@
 
 Package: oar-node
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client | ssh, openssh-server | ssh, oar-common (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client, openssh-server, oar-common (= ${binary:Version})
 Suggests: oar-doc, xauth
 Description: OAR batch scheduler node package
  OAR is a versatile resource and task manager (also called a batch scheduler)
@@ -78,9 +78,10 @@
 
 Package: oar-user
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-user-mysql | oar-user-postgresql
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
 Recommends: libxml-dumper-perl, libyaml-perl
-Suggests: oar-doc, openssh-client | ssh, xauth
+Suggests: oar-doc, openssh-client, xauth
+Breaks: oar-admin
 Description: OAR batch scheduler user package
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
@@ -109,14 +110,14 @@
 
 Package: oar-web-status
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, apache2 | httpd-cgi, ruby, ruby-dbd-mysql | ruby-dbd-pg, ruby-gd, perl, libdbi-perl, libdbd-mysql-perl | libdbd-pg-perl, libtie-ixhash-perl, libappconfig-perl, libsort-naturally-perl, libjs-jquery
+Depends: ${misc:Depends}, ${shlibs:Depends}, apache2 | httpd-cgi, perl, libdbi-perl, libdbd-mysql-perl | libdbd-pg-perl, libtie-ixhash-perl, libappconfig-perl, libsort-naturally-perl, libjs-jquery, php5, php5-mysql | php5-pgsql
 Suggests: oar-doc
 Description: OAR batch scheduler visualization tool package
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
  .
- This package install the OAR batch scheduler Gantt reservation diagram CGI: 
- DrawGantt and the instant cluster state visualization CGI: Monika
+ This package install the OAR batch scheduler web interfaces: drawgantt-svg
+ and monika.
 
 Package: oar-doc
 Section: doc
@@ -128,17 +129,6 @@
  .
  This package install some documentation for OAR batch scheduler
 
-Package: oar-admin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, ruby, ruby-dbd-mysql | ruby-dbd-pg, libyaml-perl, oar-user (>> 2.5.0)
-Suggests: oar-doc, oar-server
-Description: OAR batch scheduler administration tools package
- OAR is a versatile resource and task manager (also called a batch scheduler)
- for clusters and other computing infrastructures
- .
- This package installs some useful tools to help the administrator
- of a oar server (resources manipulation, admission rules edition, ...)
-
 Package: oar-restful-api
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apache2 | httpd-cgi, perl-modules, libjson-perl, libwww-perl, libcgi-fast-perl, oar-user (>> 2.5.0)
@@ -146,7 +136,7 @@
 Recommends: libxml-simple-perl, libyaml-perl
 Replaces: oar-api (<< 2.5.0+dev515.519ec70-63)
 Breaks: oar-api (<< 2.5.0+dev515.519ec70-63)
-Description: OAR RESTful API
+Description: OAR web services
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
  .

=== debian/rules ===
--- 
+++ 
@@ -59,17 +59,30 @@
 	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
 		
 	# Cleaning package
-	rm -f debian/oar-server.init
-	rm -f debian/oar-node.init
-	rm -f debian/oar-server.default
-	rm -f debian/oar-node.default
-	rm -f debian/oar-common.logrotate
-	rm -f debian/oar-server.cron.d
-	rm -f debian/oar-node.cron.d
+	$(RM) debian/oar-server.init
+	$(RM) debian/oar-node.init
+	$(RM) debian/oar-server.default
+	$(RM) debian/oar-node.default
+	$(RM) debian/oar-common.logrotate
+	$(RM) debian/oar-server.cron.d
+	$(RM) debian/oar-node.cron.d
 
 override_dh_installinit:
-	dh_installinit --no-start
+	dh_installinit --error-handler=errorinit
 
 override_dh_compress:
 	# avoid to compress examples as we use ucf after.
 	dh_compress -Xexamples
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x debian/oar-server/usr/share/oar/oar-server/server_epilogue
+	chmod +x debian/oar-server/usr/share/oar/oar-server/server_prologue
+	chmod +x debian/oar-server/usr/share/oar/oar-server/shut_down_nodes.sh
+	chmod +x debian/oar-server/usr/share/oar/oar-server/wake_up_nodes.sh
+	chmod +x debian/oar-common/usr/share/oar/oar-common/oarnodesetting_ssh
+	chmod +x debian/oar-common/usr/share/oar/oar-common/update_cpuset_id.sh
+	chmod +x debian/oar-web-status/usr/share/oar/oar-web-status/userInfos.cgi
+	chmod +x debian/oar-restful-api/usr/share/oar/oar-api/stress_factor.sh
+	chmod +x debian/oar-node/usr/share/oar/oar-node/epilogue
+	chmod +x debian/oar-node/usr/share/oar/oar-node/prologue

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  http://oar-ftp.imag.fr/oar/2.5/sources/(stable|testing)/oar-(.+)\.tar\.gz
